Package org.eclipse.graphiti.ui.internal.parts

# Interface IPictogramElementEditPart

All Superinterfaces:
  `IConfigurationProviderHolder`, `IFeatureProviderHolder`

All Known Subinterfaces:
  `IAnchorContainerEditPart`, `IAnchorEditPart`, `IBoxRelativeAnchorEditPart`, `IConnectionEditPart`, `IContainerShapeEditPart`, `IDiagramEditPart`, `IFixPointAnchorEditPart`, `IShapeEditPart`

All Known Implementing Classes:
  `AdvancedAnchorEditPart`, `CompositeConnectionEditPart`, `ConnectionDecoratorEditPart`, `ConnectionEditPart`, `ContainerShapeEditPart`, `CurvedConnectionEditPart`, `DiagramEditPart`, `FreeFormConnectionEditPart`, `ManhattanConnectionEditPart`, `ShapeEditPart`

public interface IPictogramElementEditPart extends IConfigurationProviderHolder, IFeatureProviderHolder
The Interface IPictogramElementEditPart.

## Method Summary

Modifier and Type
Method
Description
`List<PictogramElement>`
`getModelChildren()`
Gets the model children.
`List<Connection>`
`getModelSourceConnections()`
Gets the model source connections.
`List<Connection>`
`getModelTargetConnections()`
Gets the model target connections.
`PictogramElement`
`getPictogramElement()`
Gets the pictogram element.
`IPictogramElementDelegate`
`getPictogramElementDelegate()`
Gets the pictogram element delegate.

### Methods inherited from interface org.eclipse.graphiti.ui.internal.config.IConfigurationProviderHolder

`getConfigurationProvider`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

## Method Details

### getPictogramElement

PictogramElement getPictogramElement()
Gets the pictogram element.

Returns:
  the pictogram element

### getModelChildren

List<PictogramElement> getModelChildren()
Gets the model children.

Returns:
  the model children

### getModelSourceConnections

List<Connection> getModelSourceConnections()
Gets the model source connections.

Returns:
  the model source connections

### getModelTargetConnections

List<Connection> getModelTargetConnections()
Gets the model target connections.

Returns:
  the model target connections

### getPictogramElementDelegate

IPictogramElementDelegate getPictogramElementDelegate()
Gets the pictogram element delegate.

Returns:
  the pictogram element delegate